`include "../spi_interface.v"
`include "../fsm/Fsm.sv"
`include "../Bus_if/Bus_if.sv"

module Top(
    input wire clk
);
    // Bus (Interface)
    Bus_if bus(.clk(clk));
    // SPI Interface
    // FSM
    Fsm fsm(
        .clk(clk),
        .inAlarmAmpel(bus.AlarmAmpel),
        .inDataValid(bus.DataValid),
        .inTasteAktiv(bus.TasteAktiv),
        .outAlarm_R(bus.Alarm_R),
        .outSendData(bus.SendData),
        .outTimerEN(bus.TimerEN)
    );
    // Parallelport
    // FRAM-Controller
    // Timer
    // Ampelsteuerung
    
endmodule